sun.applet

## Class JavaConsole

- java.lang.Object
- - sun.applet.JavaConsole

    public class JavaConsole
    extends java.lang.Object

A simple Java console for IcedTeaPlugin

### Constructor Summary

Constructors
Constructor and Description
`JavaConsole()`

### Method Summary

Methods
`void` `hideConsole()`
`void` `initialize()` Initialize the console
`static void` `main(java.lang.String[] args)`
`protected void` `printSystemProperties()`
`void` `showConsole()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaConsole

    public JavaConsole()

### Method Detail

#### initialize

    public void initialize()

Initialize the console

#### showConsole

    public void showConsole()

#### hideConsole

    public void hideConsole()

#### printSystemProperties

    protected void printSystemProperties()

#### main

    public static void main(java.lang.String[] args)